summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-10-10 22:20:11 +1100
committerMichael Palimaka <kensington@gentoo.org>2017-10-10 22:22:39 +1100
commitabe13572ad37175b9a0c8f5e7ee2391e3f7cc007 (patch)
tree1a1dde4f54da949116379fbfd20f98f45e0af05a
parentqt5-build.eclass: unset variables that, if set, cause configure to fail (diff)
downloadgentoo-abe13572ad37175b9a0c8f5e7ee2391e3f7cc007.tar.gz
gentoo-abe13572ad37175b9a0c8f5e7ee2391e3f7cc007.tar.bz2
gentoo-abe13572ad37175b9a0c8f5e7ee2391e3f7cc007.zip
dev-qt/qtlocation: fix build of 5.9.2
Closes: https://bugs.gentoo.org/633776 Package-Manager: Portage-2.3.8, Repoman-2.3.3
-rw-r--r--dev-qt/qtlocation/qtlocation-5.9.2.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/dev-qt/qtlocation/qtlocation-5.9.2.ebuild b/dev-qt/qtlocation/qtlocation-5.9.2.ebuild
index 420e3c9ba78..06c3a9a1206 100644
--- a/dev-qt/qtlocation/qtlocation-5.9.2.ebuild
+++ b/dev-qt/qtlocation/qtlocation-5.9.2.ebuild
@@ -34,3 +34,11 @@ QT5_TARGET_SUBDIRS=(
src/imports/location
src/plugins/geoservices
)
+
+src_configure() {
+ # src/plugins/geoservices requires files that are only generated when
+ # qmake is run in the root directory. Bug 633776.
+ mkdir -p "${QT5_BUILD_DIR}" || die
+ qt5_qmake "${QT_BUILD_DIR}"
+ qt5-build_src_configure
+}